package com.nantian.cloud.ggjg.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.ggjg.entity.Mlk;
import com.nantian.cloud.ggjg.mapper.MlkMapper;
import com.nantian.cloud.ggjg.service.MlkService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("mlkService")
public class MlkServiceImpl extends ServiceImpl<MlkMapper, Mlk> implements MlkService{


    @Override
    public List<Map<String, Object>> queryTjb(Map map) {
        return baseMapper.queryTjb(map);
    }

    @Override
    public List<Map<String, Object>> queryTjbCity(Map map) {
        return baseMapper.queryTjbCity(map);
    }

    @Override
    public List<Map<String, Object>> queryTjbCounty(Map map) {
        return baseMapper.queryTjbCounty(map);
    }

    @Override
    public String getAreaByCode(String code) {
        return baseMapper.getAreaByCode(code);
    }
}
